aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJay Berkenbilt <ejb@ql.org>2009-10-23 18:58:52 +0200
committerJay Berkenbilt <ejb@ql.org>2009-10-23 18:58:52 +0200
commit3f1f156e1b6a5737e0fa6367eff3d1d8e9c707ec (patch)
tree17db4bb50b420336f76d58b32e7d0c2b4dfb1c38
parentb1702fb16ca6df341a4b784476904e28025c17f1 (diff)
downloadqpdf-3f1f156e1b6a5737e0fa6367eff3d1d8e9c707ec.tar.zst
new
git-svn-id: svn+q:///qpdf/trunk@895 71b93d88-0707-0410-a8cf-f5a4172ac649
-rw-r--r--README-windows-install.txt10
-rwxr-xr-xmake_windows_releases23
2 files changed, 33 insertions, 0 deletions
diff --git a/README-windows-install.txt b/README-windows-install.txt
new file mode 100644
index 00000000..8e3fd654
--- /dev/null
+++ b/README-windows-install.txt
@@ -0,0 +1,10 @@
+This file is README-windows-install.txt in the source distribution and
+README.txt in the Windows binary distribution.
+
+QPDF is completely relocatable. To use qpdf.exe or the qpdf DLL, just
+have the bin directory in your path. To compile with qpdf, just add
+the lib directory to your library path and the include directory to
+your include path. Detailed documentation may be found in the doc
+directory.
+
+Enjoy!
diff --git a/make_windows_releases b/make_windows_releases
new file mode 100755
index 00000000..28e42411
--- /dev/null
+++ b/make_windows_releases
@@ -0,0 +1,23 @@
+#!/bin/sh
+if [ ! -d external-libs ]; then
+ echo "Please extract qpdf-external-libs-bin.zip and try again"
+ exit 2
+fi
+
+set -e
+cwd=`pwd`
+PATH=$cwd/libqpdf/build:$PATH
+
+./config-mingw
+make check install
+make distclean
+./config-msvc
+make check install
+make distclean
+
+cp -p README-windows-install.txt install-mingw/README.txt
+cp -p README-windows-install.txt install-msvc/README.txt
+
+echo ""
+echo "Create qpdf-VERSION-bin-mingw.zip from install-mingw."
+echo "Create qpdf-VERSION-bin-msvc.zip from install-msvc."